<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (14) on Fri May 29 23:30:56 CEST 2020 -->
<title>TowerImprovement</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-05-29">
<meta name="description" content="declaration: package: Heroes.User, class: TowerImprovement">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../script-dir/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../script-dir/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../script-dir/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../script-dir/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../script-dir/jquery-3.4.1.js"></script>
<script type="text/javascript" src="../../script-dir/jquery-ui.js"></script>
</head>
<body class="class-declaration">
<script type="text/javascript">var data = {"i0":10,"i1":10,"i2":10,"i3":9,"i4":9,"i5":9,"i6":9,"i7":10,"i8":10,"i9":9,"i10":9,"i11":9,"i12":10,"i13":10,"i14":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flexBox">
<header role="banner" class="flexHeader">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TowerImprovement.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="navListSearch"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="skipNav"><a id="skip.navbar.top">
<!--   -->
</a></div>
</nav>
</header>
<div class="flexContent">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">Heroes.User</a></div>
<h1 title="Class TowerImprovement" class="title">Class TowerImprovement</h1>
</div>
<div class="contentContainer">
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance">Heroes.User.TowerImprovement</div>
</div>
<section class="description">
<hr>
<pre>public class <span class="typeNameLabel">TowerImprovement</span>
extends java.lang.Object</pre>
<div class="block">The type Tower improvement.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Jordan Rey-Jouanchicot</dd>
</dl>
</section>
<section class="summary">
<ul class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li class="blockList">
<section class="constructorSummary"><a id="constructor.summary">
<!--   -->
</a>
<h2>Constructor Summary</h2>
<div class="memberSummary">
<table>
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<thead>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(Heroes.Tile.TowerInfos)">TowerImprovement</a></span>&#8203;(<a href="../Tile/TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a>&nbsp;tw)</code></th>
<td class="colLast">
<div class="block">Instantiates a new Tower improvement.</div>
</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li class="blockList">
<section class="methodSummary"><a id="method.summary">
<!--   -->
</a>
<h2>Method Summary</h2>
<div class="memberSummary">
<div role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="memberSummary_tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="activeTableTab">All Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="tableTab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="tableTab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="memberSummary_tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="tableTab" onclick="show(8);">Concrete Methods</button></div>
<div id="memberSummary_tabpanel" role="tabpanel">
<table aria-labelledby="t0">
<thead>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="altColor" id="i0">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAttack()">getAttack</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets attack.</div>
</td>
</tr>
<tr class="rowColor" id="i1">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAttackRange()">getAttackRange</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets attack range.</div>
</td>
</tr>
<tr class="altColor" id="i2">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getAttackRate()">getAttackRate</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets attack rate.</div>
</td>
</tr>
<tr class="rowColor" id="i3">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCostAttack()">getCostAttack</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets cost attack.</div>
</td>
</tr>
<tr class="altColor" id="i4">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCostAttackRange()">getCostAttackRange</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets cost attack range.</div>
</td>
</tr>
<tr class="rowColor" id="i5">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getCostAttackRate()">getCostAttackRate</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets cost attack rate.</div>
</td>
</tr>
<tr class="altColor" id="i6">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getMaxNumberOfEach()">getMaxNumberOfEach</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets max number of each.</div>
</td>
</tr>
<tr class="rowColor" id="i7">
<td class="colFirst"><code>java.lang.String</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getName()">getName</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets name.</div>
</td>
</tr>
<tr class="altColor" id="i8">
<td class="colFirst"><code><a href="../Tile/TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a></code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getTowerInfos()">getTowerInfos</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets tower infos.</div>
</td>
</tr>
<tr class="rowColor" id="i9">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getValAttack()">getValAttack</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets val attack.</div>
</td>
</tr>
<tr class="altColor" id="i10">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getValAttackRange()">getValAttackRange</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets val attack range.</div>
</td>
</tr>
<tr class="rowColor" id="i11">
<td class="colFirst"><code>static int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getValAttackRate()">getValAttackRate</a></span>()</code></th>
<td class="colLast">
<div class="block">Gets val attack rate.</div>
</td>
</tr>
<tr class="altColor" id="i12">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setAttack(int)">setAttack</a></span>&#8203;(int&nbsp;attack)</code></th>
<td class="colLast">
<div class="block">Sets attack.</div>
</td>
</tr>
<tr class="rowColor" id="i13">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setAttackRange(int)">setAttackRange</a></span>&#8203;(int&nbsp;attackRange)</code></th>
<td class="colLast">
<div class="block">Sets attack range.</div>
</td>
</tr>
<tr class="altColor" id="i14">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#setAttackRate(int)">setAttackRate</a></span>&#8203;(int&nbsp;attackRate)</code></th>
<td class="colLast">
<div class="block">Sets attack rate.</div>
</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inheritedList">
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<a id="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a><code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li class="blockList">
<section class="constructorDetails"><a id="constructor.detail">
<!--   -->
</a>
<h2>Constructor Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="&lt;init&gt;(Heroes.Tile.TowerInfos)">TowerImprovement</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="memberName">TowerImprovement</span>&#8203;(<span class="arguments"><a href="../Tile/TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a>&nbsp;tw)</span></div>
<div class="block">Instantiates a new Tower improvement.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>tw</code> - the towerInfos</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li class="blockList">
<section class="methodDetails"><a id="method.detail">
<!--   -->
</a>
<h2>Method Details</h2>
<ul class="blockList">
<li class="blockList">
<section class="detail">
<h3><a id="getValAttack()">getValAttack</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getValAttack</span>()</div>
<div class="block">Gets val attack.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the val attack</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getValAttackRange()">getValAttackRange</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getValAttackRange</span>()</div>
<div class="block">Gets val attack range.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the val attack range</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getValAttackRate()">getValAttackRate</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getValAttackRate</span>()</div>
<div class="block">Gets val attack rate.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the val attack rate</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getCostAttack()">getCostAttack</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getCostAttack</span>()</div>
<div class="block">Gets cost attack.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the cost attack</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getCostAttackRange()">getCostAttackRange</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getCostAttackRange</span>()</div>
<div class="block">Gets cost attack range.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the cost attack range</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getCostAttackRate()">getCostAttackRate</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getCostAttackRate</span>()</div>
<div class="block">Gets cost attack rate.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the cost attack rate</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getMaxNumberOfEach()">getMaxNumberOfEach</a></h3>
<div class="memberSignature"><span class="modifiers">public static</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getMaxNumberOfEach</span>()</div>
<div class="block">Gets max number of each.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the max number of each</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getName()">getName</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">java.lang.String</span>&nbsp;<span class="memberName">getName</span>()</div>
<div class="block">Gets name.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the name</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getTowerInfos()">getTowerInfos</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType"><a href="../Tile/TowerInfos.html" title="enum in Heroes.Tile">TowerInfos</a></span>&nbsp;<span class="memberName">getTowerInfos</span>()</div>
<div class="block">Gets tower infos.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the tower infos</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getAttack()">getAttack</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getAttack</span>()</div>
<div class="block">Gets attack.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the attack</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setAttack(int)">setAttack</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setAttack</span>&#8203;(<span class="arguments">int&nbsp;attack)</span></div>
<div class="block">Sets attack.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>attack</code> - the attack</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getAttackRate()">getAttackRate</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getAttackRate</span>()</div>
<div class="block">Gets attack rate.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the attack rate</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setAttackRate(int)">setAttackRate</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setAttackRate</span>&#8203;(<span class="arguments">int&nbsp;attackRate)</span></div>
<div class="block">Sets attack rate.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>attackRate</code> - the attack rate</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="getAttackRange()">getAttackRange</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">int</span>&nbsp;<span class="memberName">getAttackRange</span>()</div>
<div class="block">Gets attack range.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the attack range</dd>
</dl>
</section>
</li>
<li class="blockList">
<section class="detail">
<h3><a id="setAttackRange(int)">setAttackRange</a></h3>
<div class="memberSignature"><span class="modifiers">public</span>&nbsp;<span class="returnType">void</span>&nbsp;<span class="memberName">setAttackRange</span>&#8203;(<span class="arguments">int&nbsp;attackRange)</span></div>
<div class="block">Sets attack range.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>attackRange</code> - the attack range</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
</div>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/TowerImprovement.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</div>
</div>
</body>
</html>
